# this is not a relocatable package.
Name		: einstein
Version		: 1.0
Release		: alt3
License		: GPL
Group		: Games/Puzzles
URL		: http://www.babichev.info/ru/projects/einstein/
Source		: http://www.babichev.info/files/einstein/%name-%version-src.tar.gz
Source1		: %name-%version-html-pages.tgz
# how to get Source1
# wget -r -l1 -np -nH http://www.babichev.info/en/projects/einstein/index.html --cut-dirs=2
# wget http://www.babichev.info/ru/projects/einstein/index.html -O einstein/index.ru.html
Patch		: einstein-optimize.patch
Patch1		: einstein-math_h.patch
Summary		: Open source remake of old DOS game Sherlock which was inspired by Albert Einstein's puzzle.

Summary(ru_RU.KOI8-R):  ,      Sherlock,          

# Automatically added by buildreq on Fri Jan 07 2005
BuildRequires: XFree86-devel XFree86-libs freetype2-devel gcc-c++ libSDL-devel libSDL_ttf-devel libstdc++-devel zlib-devel

%description
Einstein puzzle is cross-platform open source remake of old DOS game Sherlock
which was inspired by Albert Einstein's puzzle. Einstein said that only those
with an intelligence quotient of 98 percentile and higher should be able to
solve it.

The game goal is to open all cards in square of 6x6 cards.
Every row of square contains cards of one type only. For example, first row
contains arabic digits, second - letters, third - rome digits, fouths - dices,
fifth - geometric figures, sixs - mathematic symbols.

%description -l ru_RU.KOI8-R
Einstein -   ,     
Sherlock,          .
    3%      
.

   :       6x6 .
       . ,   
   ,   -  ,   -
 ,   -  ,   -  ,
  -  . 

%prep
%setup
%setup -q -a 1
%__mv %name doc
%patch
%patch1 

%build
%make depend
%make PREFIX=/usr

%install
%__mkdir -p %buildroot%_bindir
%__install -s %name %buildroot%_bindir
%__mkdir -p %buildroot/%_defaultdocdir/%name-%version
%__install doc/* %buildroot/%_defaultdocdir/%name-%version
%__mkdir -p %buildroot/%_datadir/%name
%__install %name.res %buildroot/%_datadir/%name

%files 
%_bindir/*
%doc %_datadir/doc/%name-%version/*
%_datadir/%name/*

%changelog
* Fri Jan 14 2005 Fr. Br. George <george@altlinux.ru> 1.0-alt3
- Some strange-missed includes in source code added

* Mon Jan 10 2005 Fr. Br. George <george@altlinux.ru> 1.0-alt2
- ALT packaging policy tuned

* Fri Jan 07 2005 Fr. Br. George <george@altlinux.ru> 1.0-alt1
- Initial ALT built

